// PipeSampleDlg.h : header file
//

#if !defined(AFX_PIPESAMPLEDLG_H__0E615E8C_88B6_4A06_ABF0_66667BCE8F18__INCLUDED_)
#define AFX_PIPESAMPLEDLG_H__0E615E8C_88B6_4A06_ABF0_66667BCE8F18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPipeSampleDlg dialog

class CPipeSampleDlg : public CDialog
{
// Construction
public:
	DWORD CreatePipeThread();
	static UINT StartPipeThread(LPVOID lpData);
	void ShowLastError(CString szMsg = _T(""));
	HANDLE m_PipeHandle;
	CPipeSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPipeSampleDlg)
	enum { IDD = IDD_PIPESAMPLE_DIALOG };
	CEdit	m_Status;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPipeSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	HANDLE	m_hPipeThread;	
	HANDLE	m_hPipeEvent;	
	// Generated message map functions
	//{{AFX_MSG(CPipeSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonConnect();
	afx_msg void OnButtonStartServer();
	afx_msg void OnButtonStopServer();
	afx_msg void OnButtonClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PIPESAMPLEDLG_H__0E615E8C_88B6_4A06_ABF0_66667BCE8F18__INCLUDED_)
